HQ APIEnterprise
Move company to another enterprise
Moves a company from its current enterprise to a different enterprise.
If the source enterprise has no remaining non-deleted outlets after the move, it is soft-deleted.
POST
/v1/hq/companies/{company_id}/move-to-enterpriseAuthorizationBearer <token>
The Noona HQ API uses Bearer token for authentication.
Endpoints that return generic information that does not contain sensitive data do not require authentication. Endpoints that require authentication are specifically marked in the documentation.
Authorization: Bearer your-token
In: header
Path Parameters
company_id*string
Company ID
Request Body
application/json
enterprise_id*string
Response Body
application/json
curl -X POST "https://api.noona.is/v1/hq/companies/string/move-to-enterprise" \ -H "Content-Type: application/json" \ -d '{ "enterprise_id": "string" }'{
"id": "aqmzX9Cm5tekKecsA",
"companies": [
"string"
],
"connections": {
"url_name": "noonacuts",
"allows_booking_without_auth": true,
"marketplace": {
"enable_vouchers": true
},
"vouchers": {
"enabled": true,
"settlement_account_id": "wda8wud9a8wuddopk"
}
},
"profile": {
"name": "Noonacuts",
"image": {
"thumb": "https://placekitten.com/200/200",
"image": "https://placekitten.com/200/300",
"public_id": "https://placekitten.com/200/300",
"type": "thumbnail",
"provider": "cloudinary",
"width": 200,
"height": 300,
"bytes": 95849
},
"cover_images": [
{
"thumb": "https://placekitten.com/200/200",
"image": "https://placekitten.com/200/300",
"public_id": "https://placekitten.com/200/300",
"type": "thumbnail",
"provider": "cloudinary",
"width": 200,
"height": 300,
"bytes": 95849
}
]
}
}Empty
Empty
Empty
Empty
Empty